#!/bin/sh
tail -n +4 $0  > /tmp/test.txt
exec rxvt -e  sh /tmp/test.txt
#scanssh > test
# ifconfig|grep "inet addr"|cut --delimiter=M  -f1
no_network="          inet addr:127.0.0.1  Mask:255.0.0.0"
#echo $no_network
cd ~/my-applications
rox
#------------------begin ssh setting
echo "ALL: ALL" > /etc/hosts.allow
echo " " > /etc/hosts.deny
if [ `egrep sshd /etc/passwd|wc -l` -eq 0 ]
then
  echo "sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:sbin/nologin" >> /etc/passwd
fi
mkdir -p /var/empty/sshd
/usr/sbin/sshd
#-----------------end ssh setting

#begin check connection to network and show ip
#read b; until [ $b != "y" ]; do read b ;done
new_ip=`ifconfig|grep "inet addr"`
until [[ $new_ip != $no_network ]];do new_ip=`ifconfig|grep "inet addr"`;sleep 3;echo;echo "Not connected to network ?";echo "please connect this computer to network"
done

echo $new_ip
#end


Xdialog --yesno "Please confirm if this computer is server" 0 0 && server="confirm" ;echo $server "SERVER commencing..."
#--------------begin server
if [ "$server" == "confirm" ]; then
geany ~/my-applications/clusterdata/ip-list
xmessage "Please create list of all ip that you have, 
put server on top of the list, 
press ok after you save the list"
#---begin probing
n=0
rm ~/my-applications/clusterdata/home/mpd.hosts
rm ~/my-applications/clusterdata/etc/hosts

#ssh -q -o BatchMode=yes -o StrictHostKeyChecking=no localhost -v
echo 127.0.0.1 localhost>>~/my-applications/clusterdata/etc/hosts 
for i in `cut --delimiter=: -f1 ~/my-applications/clusterdata/ip-list`;do process=`ssh -q -o BatchMode=yes -o StrictHostKeyChecking=no $i "cat /proc/cpuinfo|grep ^processor|wc -l"`;let n="$n+1";echo $n;echo $i:$process>>~/my-applications/clusterdata/home/mpd.hosts;echo $i puppy-$n>>~/my-applications/clusterdata/etc/hosts;ssh $i hostname puppy-$n  ;echo "computer:" $i "has:"$process " processor" ;done

ifconfig|grep "inet addr"|cut --delimiter=B  -f1

#end probing

# begin setting server
cp -prv ~/my-applications/clusterdata/etc/* /etc/ 
cp -prv ~/my-applications/clusterdata/home/* ~ 
cp -prv ~/my-applications/clusterdata/home/.mpd.conf ~ 
# end setting server

#begin setting cluster
# for i in `cut --delimiter=: -f1 ~/mpd.hosts`;do ssh $i mkdir -p .ssh; cat ~/.ssh/id_rsa.pub |ssh $i "cat>>~/.ssh/authorized_keys";done
for i in `cut --delimiter=: -f1 ~/mpd.hosts`;do scp ~/.mpd.conf $i:~;scp ~/mpd.hosts $i:~;scp /etc/mpd.conf $i:/etc;scp /etc/hosts $i:/etc;done
#end setting cluster
 
fi
xmessage "           ready to run cluster          "
cd ~
urxvt
